#!/usr/bin/env bash

# This is a presubmit (on-merge) CI script.
# Currently no CI runs it - so be a good cyborg, and run it before submitting
# changes to hscloud.

set -e -o pipefail

# Build some things  that should always build - ie. critical codebases.
bazel build //tools/... //cluster/...

# Run some critical tools that are needed to access clusters.
bazel run //cluster/clustercfg smoketest
bazel run //cluster/tools:kubectl -- version --client=true
bazel run //cluster/tools:kubecfg -- version
bazel run //cluster/prodaccess -- --help 2>/dev/null

